Motor del Clamav desfasado.

Hola. No sé si es aquí donde debo poner esta duda o pregunta, pero la hago y ya me decís si debo ponerla en otro hilo más acorde.
La cosa es que bajo archivos que a veces son usados en un Windows y me gusta de escanearlos con el ClamAV. Bueno pues ayer le puse en consola el comando freshclam y se actualizó la base de datos. Pero me dice que mi versión del ClamAV es "outdated" y me recomienda la 0.98 (mi motor actual es el 0.97.6) También la ventanita del Clamtk está desfasada parece pues le sale una señal como de prohibido el paso cuando se abre.
He desinstalado y vuelto a instalar (clamav-base, clamav-freshclam, libclamv6, clamav y clamtk) pero me instala la misma pues mi Ubuntu es el Natty 64 bits y está fuera de mantenimiento y con las old-relases en la sources list. No quiero cambiar a otra LTS, estoy muy contento con ésta.

En conclusión mi pregunta es si teniendo la base de datos al día no necesito de un motor más nuevo. Osea si puedo tenerlo tal como está y estar tranquilo. De todos modos esos archivos cuando los meto en un Win los vuelvo a escanear por si acaso con Avast.

Espero sus respuestas, aunque hasta el lunes no las podré ver. ¡Gracias y Felices fiestas!

Imagen de Gabriel_M
+1
+1
-1

... el ultimo motor disponible, necesitas añadir su ppa.


sudo su
add-apt-repository ppa:ubuntu-clamav/ppa
apt-get update
apt-get upgrade

+1
+1
-1
Imagen de Inmigrante_digital
+1
0
-1

Hola Gabriel_M. He metido las ordenes tuyas en el terminal pero me sigue diciendo lo mismo. Te pongo a continuación todo lo que ha salido en la terminal para que le eches un vistazo a ver que es lo que pasa:

inmigrante@inmigrante-System-Product-Name:~$ sudo su
[sudo] password for inmigrante:
root@inmigrante-System-Product-Name:/home/inmigrante# add-apt-repository ppa:ubuntu-clamav/ppa
gpg: anillo «/tmp/tmp8xy6LK/secring.gpg» creado
gpg: anillo «/tmp/tmp8xy6LK/pubring.gpg» creado
gpg: solicitando clave 5ADC2037 de hkp servidor keyserver.ubuntu.com
gpg: /tmp/tmp8xy6LK/trustdb.gpg: se ha creado base de datos de confianza
gpg: clave 5ADC2037: clave pública "Launchpad PPA for Clamav Update Team" importada
gpg: no se encuentran claves totalmente fiables
gpg: Cantidad total procesada: 1
gpg: importadas: 1 (RSA: 1)
OK
root@inmigrante-System-Product-Name:/home/inmigrante# apt-get update
Ign http://old-releases.ubuntu.com natty InRelease
Ign http://old-releases.ubuntu.com natty-updates InRelease
Ign http://old-releases.ubuntu.com natty-security InRelease
Obj http://old-releases.ubuntu.com natty Release.gpg
Ign http://ppa.launchpad.net natty InRelease
Ign http://ppa.launchpad.net natty InRelease
Obj http://old-releases.ubuntu.com natty-updates Release.gpg
Obj http://old-releases.ubuntu.com natty-security Release.gpg
Des:1 http://ppa.launchpad.net natty Release.gpg [316 B]
Obj http://old-releases.ubuntu.com natty Release
Ign http://ppa.launchpad.net natty Release.gpg
Obj http://old-releases.ubuntu.com natty-updates Release
Obj http://old-releases.ubuntu.com natty-security Release
Obj http://old-releases.ubuntu.com natty/main Sources
Obj http://old-releases.ubuntu.com natty/restricted Sources
Obj http://old-releases.ubuntu.com natty/universe Sources
Obj http://old-releases.ubuntu.com natty/multiverse Sources
Obj http://old-releases.ubuntu.com natty/main amd64 Packages
Des:2 http://ppa.launchpad.net natty Release [9748 B]
Obj http://old-releases.ubuntu.com natty/restricted amd64 Packages
Obj http://old-releases.ubuntu.com natty/universe amd64 Packages
Obj http://old-releases.ubuntu.com natty/multiverse amd64 Packages
Ign http://old-releases.ubuntu.com natty/main TranslationIndex
Ign http://old-releases.ubuntu.com natty/multiverse TranslationIndex
Ign http://old-releases.ubuntu.com natty/restricted TranslationIndex
Ign http://old-releases.ubuntu.com natty/universe TranslationIndex
Obj http://old-releases.ubuntu.com natty-updates/main Sources
Obj http://old-releases.ubuntu.com natty-updates/restricted Sources
Obj http://old-releases.ubuntu.com natty-updates/main amd64 Packages
Obj http://old-releases.ubuntu.com natty-updates/restricted amd64 Packages
Ign http://old-releases.ubuntu.com natty-updates/main TranslationIndex
Ign http://old-releases.ubuntu.com natty-updates/restricted TranslationIndex
Obj http://old-releases.ubuntu.com natty-security/main Sources
Ign http://ppa.launchpad.net natty Release
Obj http://old-releases.ubuntu.com natty-security/restricted Sources
Obj http://old-releases.ubuntu.com natty-security/main amd64 Packages
Obj http://old-releases.ubuntu.com natty-security/restricted amd64 Packages
Ign http://old-releases.ubuntu.com natty-security/main TranslationIndex
Ign http://old-releases.ubuntu.com natty-security/restricted TranslationIndex
Obj http://old-releases.ubuntu.com natty/main Translation-es
Obj http://old-releases.ubuntu.com natty/multiverse Translation-es
Des:3 http://ppa.launchpad.net natty/main Sources [2478 B]
Obj http://old-releases.ubuntu.com natty/restricted Translation-es
Obj http://old-releases.ubuntu.com natty/universe Translation-es
Des:4 http://ppa.launchpad.net natty/main amd64 Packages [4557 B]
Ign http://ppa.launchpad.net natty/main TranslationIndex
Ign http://ppa.launchpad.net natty/main TranslationIndex
Ign http://old-releases.ubuntu.com natty/main Translation-es_ES
Ign http://old-releases.ubuntu.com natty/main Translation-en
Ign http://old-releases.ubuntu.com natty/multiverse Translation-es_ES
Ign http://old-releases.ubuntu.com natty/multiverse Translation-en
Ign http://old-releases.ubuntu.com natty/restricted Translation-es_ES
Ign http://old-releases.ubuntu.com natty/restricted Translation-en
Ign http://old-releases.ubuntu.com natty/universe Translation-es_ES
Ign http://old-releases.ubuntu.com natty/universe Translation-en
Ign http://old-releases.ubuntu.com natty-updates/main Translation-es_ES
Ign http://old-releases.ubuntu.com natty-updates/main Translation-es
Err http://ppa.launchpad.net natty/main Sources
404 Not Found
Err http://ppa.launchpad.net natty/main amd64 Packages
404 Not Found
Ign http://old-releases.ubuntu.com natty-updates/main Translation-en
Ign http://old-releases.ubuntu.com natty-updates/restricted Translation-es_ES
Ign http://old-releases.ubuntu.com natty-updates/restricted Translation-es
Ign http://old-releases.ubuntu.com natty-updates/restricted Translation-en
Ign http://old-releases.ubuntu.com natty-security/main Translation-es_ES
Ign http://old-releases.ubuntu.com natty-security/main Translation-es
Ign http://old-releases.ubuntu.com natty-security/main Translation-en
Ign http://old-releases.ubuntu.com natty-security/restricted Translation-es_ES
Ign http://old-releases.ubuntu.com natty-security/restricted Translation-es
Ign http://old-releases.ubuntu.com natty-security/restricted Translation-en
Ign http://ppa.launchpad.net natty/main Translation-es_ES
Ign http://ppa.launchpad.net natty/main Translation-es
Ign http://ppa.launchpad.net natty/main Translation-en
Ign http://ppa.launchpad.net natty/main Translation-es_ES
Ign http://ppa.launchpad.net natty/main Translation-es
Ign http://ppa.launchpad.net natty/main Translation-en
Descargados 17,1 kB en 4seg. (3512 B/s)
W: Imposible obtener http://ppa.launchpad.net/upubuntu-com/mobile/ubuntu/dists/natty/main/sou... 404 Not Found

W: Imposible obtener http://ppa.launchpad.net/upubuntu-com/mobile/ubuntu/dists/natty/main/bin... 404 Not Found

E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar
root@inmigrante-System-Product-Name:/home/inmigrante# apt-get upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
root@inmigrante-System-Product-Name:/home/inmigrante# freshclam
ClamAV update process started at Tue Dec 31 19:51:42 2013
WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.97.6 Recommended version: 0.98
DON'T PANIC! Read http://www.clamav.net/support/faq
main.cvd is up to date (version: 55, sigs: 2424225, f-level: 60, builder: neo)
daily.cld is up to date (version: 18310, sigs: 633046, f-level: 63, builder: neo)
bytecode.cld is up to date (version: 235, sigs: 44, f-level: 63, builder: dgoddard)
root@inmigrante-System-Product-Name:/home/inmigrante#

P.D: Se me olvidaba; feliz nochevieja y buena entrada en el 2.014

+1
0
-1
Imagen de olimiesma
+1
0
-1

A ver he probado personalmente ese repositorio y no va :-S

No obstante he buscado en la Web oficial de ClamAv y he encontrado esto que he traducido con el amigo Google y que deberías haber echo tu antes de venir aquí, sin ánimo de echarte la bronca ;-D

Ubuntu

Los paquetes de Ubuntu son mantenidos por Ubuntu MOTU Desarrolladores. ClamAV se ha incluido oficialmente en la distribución Ubuntu desde la primera versión de Ubuntu. Ejecute apt-cache search clamav para encontrar el nombre de los paquetes disponibles para la instalación.

Hay dos clases de paquetes clamav disponibles para los usuarios de Ubuntu:

El conjunto lanzado (liberación, *-actualizaciones, y *-security) están revisados ​​para las actualizaciones de seguridad. Después de extensas pruebas de clamav y los paquetes que lo utilizan en el repositorio backports, pueden actualizarse a una nueva versión. Estos son los paquetes oficiales de Ubuntu y apoyados por la comunidad de desarrolladores.

El repositorio backports Ubuntu contendrá la versión más reciente clamav que ha sido probado por lo menos ligeramente para funcionar con esa versión. Estos paquetes se pueden instalar al permitir el repositorio backports en su sistema. Estos son los paquetes oficiales de Ubuntu y apoyados por la comunidad de desarrolladores.

Fuente original

Recibe un cordial saludo y feliz año nuevo.

+1
0
-1

Si lo que vas a decir no es más hermoso que el silencio, mejor permanece callado.

Imagen de olimiesma
+1
0
-1

Te he mencionado esto, pero también tienes la aplicación gráfica de Clamav llamada ClamTK que puedes descargarte desde el centro de Software de Ubuntu, no obstante no te baja la actual que es la 5.02, pero puedes bajar el paquete de aquí y actualizar el que previamente habías bajado o instalarlo desde cero.

Recibe un reiterado afectuoso saludo

+1
0
-1

Si lo que vas a decir no es más hermoso que el silencio, mejor permanece callado.

Imagen de Inmigrante_digital
+1
0
-1

Creo que has pensado que estoy ducho con el Linux y no es así. Lo poco que sé lo he aprendido acudiendo al foro cuando por mis medios no podía solucionar algún problema.
El Clamtk lo tengo en la versión 4.30 y dije que me salía como desfasado con un símbolo de dirección prohibida. En tu enlace pone no descargar si la versión es la 12.04 y la mía es más vieja aún. Y sobre la orden que me pones en la primera respuesta el terminal me responde algo que no me saca de nada. De todos modos te lo pego para que lo veas.

clamassassin - email virus filter wrapper for ClamAV
clamav-getfiles - Update script for clamav
clamav-unofficial-sigs - update script for 3rd-party clamav signatures
clamfs - user-space anti-virus protected file system
claws-mail-clamd-plugin - ClamAV socket-based plugin for Claws Mail
courier-filter-perl - purely Perl-based mail filter framework for the Courier MTA
mailscanner - email gateway for virus scanning, spam and phishing detection
python-clamav - Python bindings to ClamAV - transitional package
python-pyclamd - Python interface to the ClamAV daemon
amavisd-new - Interfaz entre MTA y escáner de virus/filtros de contenido.
libclamunrar6 - soporte para unrar - herramienta antivirus para Unix
amavisd-new-postfix - parte de la pila de correos de Ubuntu provisto por el equipo del servidor de Ubuntu
clamsmtp - proxy buscador de virus para SMTP
clamtk - interfaz gráfica de ClamAV
libclamav-client-perl - A client for the ClamAV virus scanner daemon
python-pyclamav - Vínculos Python para ClamAV
clamav - anti-virus utility for Unix - command-line interface
clamav-base - anti-virus utility for Unix - base package
clamav-daemon - anti-virus utility for Unix - scanner daemon
clamav-dbg - debug symbols for ClamAV
clamav-docs - anti-virus utility for Unix - documentation
clamav-freshclam - anti-virus utility for Unix - virus database update utility
libclamav-dev - anti-virus utility for Unix - development files
libclamav6 - anti-virus utility for Unix - library
clamav-milter - anti-virus utility for Unix - sendmail integration
clamav-testfiles - anti-virus utility for Unix - test files
php-clamav - ClamAV Interface for PHP Scripts
havp - HTTP Anti Virus Proxy

+1
0
-1
Imagen de Inmigrante_digital
+1
-1
-1

Mi pregunta es si teniendo la base de datos al día no necesito de un motor más nuevo. Osea si puedo tenerlo tal como está y estar tranquilo.
Si no.... ¿Alguien me podría decir si el ClamaV 0.98 se puede instalar? en mi Ubuntu. Y por supuesto que pasos tengo que seguir pues no estoy muy ducho como ya dije.

Gracias y Feliz 2014

+1
-1
-1
Imagen de olimiesma
+1
-1
-1

Cuando haces un freshclam la aplicación te da un aviso y te dice que no te preocupes, aunque tengas la base a 0.97, a mi me lanza exactamente el mismo mensaje que a ti.
No creo que sea problema alguno.

Para instalar clamav basta con poner en consola " sudo apt-get install clamav ".

Un saludo

+1
-1
-1

Si lo que vas a decir no es más hermoso que el silencio, mejor permanece callado.

Imagen de Inmigrante_digital
+1
-1
-1

El programa dije que lo desinstalé y reinstalé. Además lo hice tanto con el Synaptic como con la consola, pero me vuelve a instalar la misma versión. No estoy preocupado como si de un problema se tratara, pero me gustaría saber como (si se puede) instalar el motor 0.98 y un front más nuevo.

Salu2.

+1
-1
-1
Imagen de Inmigrante_digital
+1
0
-1

archivador del tipo tar.gz. Pero el último front no creo que funcione en mi Ubuntu Natty. Creo que es para Ubuntus más recientes ¿No es así...?
Felices Reyes.

+1
0
-1